Qt Reference Documentation

# Q3Button Class Reference

The Q3Button class is a compatibility base class of button widgets More...

     #include <Q3Button>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits: QAbstractButton.

- List of all members, including inherited members

## Public Functions

| Q3Button ( QWidget * parent = 0, const char * name = 0, Qt::WindowFlags f = 0 )
| ~Q3Button ()

- 21 public functions inherited from QAbstractButton
- 221 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 13 public functions inherited from QPaintDevice

## Protected Functions

virtual void | drawButton ( QPainter * painter )
virtual void | drawButtonLabel ( QPainter * painter )

## Reimplemented Protected Functions

virtual void | paintEvent ( QPaintEvent * event )

- 14 protected functions inherited from QAbstractButton
- 37 protected functions inherited from QWidget
- 8 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice

### Additional Inherited Members

- 11 properties inherited from QAbstractButton
- 58 properties inherited from QWidget
- 1 property inherited from QObject
- 5 public slots inherited from QAbstractButton
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 4 signals inherited from QAbstractButton
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 7 static public members inherited from QObject
- 1 protected slot inherited from QWidget

## Detailed Description

The Q3Button class is a compatibility base class of button widgets

In new code, use QAbstractButton.

To subclass Q3Button, you must reimplement at least drawButton() (to draw the button's outline) and drawButtonLabel() (to draw its text or pixmap). It is generally advisable to reimplement sizeHint() as well, and sometimes hitButton() (to determine whether a button press is within the button).

## Member Function Documentation

### Q3Button::Q3Button ( QWidget * parent = 0, const char * name = 0, Qt::WindowFlags f = 0 )

Constructs a standard button called name with parent parent, using the widget flags f.

### Q3Button::~Q3Button ()

Destroys the button.

### void Q3Button::drawButton ( QPainter * painter )`[virtual protected]`

Draws the button on the given painter. The default implementation does nothing.

This virtual function is reimplemented by subclasses to draw real buttons. At some point, these reimplementations should call drawButtonLabel().

See also drawButtonLabel() and paintEvent().

### void Q3Button::drawButtonLabel ( QPainter * painter )`[virtual protected]`

Draws the button text or pixmap on the given painter.

This virtual function is reimplemented by subclasses to draw real buttons. It is invoked by drawButton().

See also drawButton() and paintEvent().

### void Q3Button::paintEvent ( QPaintEvent * event )`[virtual protected]`

Reimplemented from QWidget::paintEvent().

Handles paint events, received in event, for buttons. Small and typically complex buttons are painted double-buffered to reduce flicker. The actually drawing is done in the virtual functions drawButton() and drawButtonLabel().

See also drawButton() and drawButtonLabel().